## LassoLibNameIdentifierMappingResponse LassoLibNameIdentifierMappingResponse — <lib:NameIdentifierMappingResponse> |

## Functions

LassoNode * | lasso_lib_name_identifier_mapping_response_new ()
LassoNode * | lasso_lib_name_identifier_mapping_response_new_full ()

## Types and Values

struct | LassoLibNameIdentifierMappingResponse

## Description

Figure 14. Schema fragment for lib:NameIdentifierMappingResponse

    <xs:element name="NameIdentifierMappingResponse" type="NameIdentifierMappingResponseType"/>
    <xs:complexType name="NameIdentifierMappingResponseType">
      <xs:complexContent>
        <xs:extension base="samlp:ResponseAbstractType">
          <xs:sequence>
            <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="ProviderID"/>
            <xs:element ref="samlp:Status"/>
            <xs:element ref="saml:NameIdentifier" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_lib_name_identifier_mapping_response_new ()

    LassoNode *
    lasso_lib_name_identifier_mapping_response_new
                                   (void);

Creates a new LassoLibNameIdentifierMappingResponse object.

#### Returns

a newly created LassoLibNameIdentifierMappingResponse object

### lasso_lib_name_identifier_mapping_response_new_full ()

    LassoNode *
    lasso_lib_name_identifier_mapping_response_new_full
                                   (char *provideRID,
                                    const char *statusCodeValue,
                                    LassoLibNameIdentifierMappingRequest *request,
                                    LassoSignatureType sign_type,
                                    LassoSignatureMethod sign_method);

Creates a new LassoLibNameIdentifierMappingResponse object and initializes it with the parameters.

#### Parameters

providerID | the providerID of the responder |
statusCodeValue | a response status code |
request | the request which is asnwered by this response |
sign_type | a LassoSignatureType value |
sign_method | a LassoSignatureMethod value |

#### Returns

a newly created LassoLibNameIdentifierMappingResponse object

## Types and Values

### struct LassoLibNameIdentifierMappingResponse

    struct LassoLibNameIdentifierMappingResponse {
    	LassoSamlpResponseAbstract parent;

    	/* <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *Extension; /* of xmlNode* */
    	/* <xs:element ref="ProviderID"/> */
    	char *ProviderID;
    	/* <xs:element ref="samlp:Status"/> */
    	LassoSamlpStatus *Status;
    	/* <xs:element ref="saml:NameIdentifier" minOccurs="0"/> */
    	LassoSamlNameIdentifier *NameIdentifier;
    };